<#assign MDContent><#t>
  <#if view.getViewType() == "DEGRIDVIEW9">
    <#if view.hasPSControl('searchform')>
${P.getCtrlCode('searchform', 'CONTROL.html').code}
    </#if>
    <#if view.hasPSControl('grid')>
${P.getCtrlCode('grid', 'CONTROL.html').code}
    </#if>
  </#if>
  <#--  BEGIN：快速搜索或工具栏存在  -->
  <#if (view.isEnableQuickSearch() || view.hasPSControl('toolbar'))>
<row style='margin-bottom: 6px;'>
    <#if view.isEnableQuickSearch()>
    <i-input<#if view.hasPSControl('searchform')><#if view.isExpandSearchForm??> v-show="!isExpandSearchForm"</#if></#if> v-model="query" search enter-button @on-search="onSearch($event)" class='pull-left' style='max-width: 400px;margin-top:6px;' />
    </#if>
    <div class='pull-right'>
    <#if view.hasPSControl('toolbar')>
        <@ibizindent blank=8>
        ${P.getCtrlCode('toolbar', 'CONTROL.html').code}<#t>
        </@ibizindent>
    </#if>
    </div>
</row>
  </#if>
  <#--  END：快速搜索或工具栏存在  -->
  <#if view.getViewType() != "DEGRIDVIEW9">
    <#if view.hasPSControl('searchform')>
${P.getCtrlCode('searchform', 'CONTROL.html').code}
    </#if>
    <#if view.hasPSControl('grid')>
${P.getCtrlCode('grid', 'CONTROL.html').code}
    </#if>
  </#if>
</#assign>
<div class='view-container ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>'>
    <app-studioaction :viewTitle="$t(model.srfTitle)" viewName="${view.getCodeName()?lower_case}"></app-studioaction>
    <card class='view-card<#if !view.isShowCaptionBar()> view-no-caption</#if>'  :dis-hover="true" :bordered="false">
        <@ibizindent blank=8>
          <#ibizinclude>
          ./VIEW_CAPTION.vue.ftl
          </#ibizinclude>
        </@ibizindent>
        <div class='content-container'>
            <#--  BEGIN：视图顶部视图消息  -->
            <@ibizindent blank=12>
              <#ibizinclude>
              ./View_Pos_Top_Msgs.vue.ftl
              </#ibizinclude>
            </@ibizindent>
            <#--  END：视图顶部视图消息  -->
            <#--  BEGIN：视图内容  -->
            <@ibizindent blank=12>
              <#ibizinclude>
              ./VIEW_MD_CONTENT.vue.ftl
              </#ibizinclude>
            </@ibizindent>
            <#--  END：视图内容  -->
            <#--  BEGIN：视图底部视图消息  -->
            <@ibizindent blank=12>
              <#ibizinclude>
              ./View_Pos_Bottom_Msgs.vue.ftl
              </#ibizinclude>
            </@ibizindent>
            <#--  END：视图底部视图消息  -->
        </div>
    </card>
</div>