.grid {
    flex-grow: 1;
    height: 100%;
    overflow: auto;
    .el-table__body-wrapper::-webkit-scrollbar {
      /*滚动条整体样式*/
      width : 10px !important;  /*高宽分别对应横竖滚动条的尺寸*/
      height: 10px !important;
    }
    .el-table__body-wrapper::-webkit-scrollbar-thumb {
      /*滚动条颜色*/
      border-radius   : 10px !important;
      background-color: #cecece !important;
    }
    .el-table__body-wrapper::-webkit-scrollbar-track {
      /*滚动条里面轨道*/
      box-shadow   : inset 0 0 5px rgba(0, 0, 0, 0.2) !important;
      background   : #ededed !important;
      border-radius: 10px !important;
    }
    /*表格文字过长省略*/
    .el-table th>.cell, .el-table td>.cell{
      white-space: nowrap;
      text-overflow: ellipsis;
      overflow: hidden;
      word-break: break-all;
    }
    .app-column-link, .app-format-data{
      display: inline;
    }
    .el-table {
      .el-tooltip{
        .ivu-form-item{
          margin-bottom: unset !important;
        }
      }
    }
    .grid-pagination {
        height: 50px;
        padding: 6px 0px;
        .page-button {
            button  {
                padding: 0;
                font-size: 16px;
                min-width: 32px;
                height: 32px;
                margin-right: 4px;
            }
        }
        .page-column {
            position: absolute;
            left: 0;
        }
    }
    .el-table__body-wrapper{
      height: calc(100% - 43px) !important;
    }
    .el-table__empty-block{
      height: auto !important;
    }
}
.ivu-modal-content{
    .footer{
        .ivu-row{
            text-align: right;
        }
    }
}


<#ibizinclude>
../@MACRO/CSS/DEFAULT.less.ftl
</#ibizinclude>